package com.zhilin.patrol.bean;

import java.io.Serializable;

public class ImageInfo implements Serializable {

    private Long id;
    private String consultingId;
    private String imgPath;
    private String imgName;
    private String imgAddress;
    private String imgSize;
    private String uploadTime;
    private Boolean uploadStatus;
    private String fileId;
    private String imgDir;
    private String typeCode;
    private Integer sortNo;

    // KEEP FIELDS - put your custom fields here
    // KEEP FIELDS END

    public ImageInfo() {
    }

    public ImageInfo(Long id) {
        this.id = id;
    }

    public ImageInfo(String imgPath) {
        this.imgPath = imgPath;
    }

    public ImageInfo(Long id, String consultingId, String imgPath, String imgName, String imgAddress, String imgSize, String uploadTime, Boolean uploadStatus, String fileId, String imgDir, String typeCode, Integer sortNo, Boolean isShowDetail) {
        this.id = id;
        this.consultingId = consultingId;
        this.imgPath = imgPath;
        this.imgName = imgName;
        this.imgAddress = imgAddress;
        this.imgSize = imgSize;
        this.uploadTime = uploadTime;
        this.uploadStatus = uploadStatus;
        this.fileId = fileId;
        this.imgDir = imgDir;
        this.typeCode = typeCode;
        this.sortNo = sortNo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getConsultingId() {
        return consultingId;
    }

    public void setConsultingId(String consultingId) {
        this.consultingId = consultingId;
    }

    public String getImgPath() {
        return imgPath;
    }

    public void setImgPath(String imgPath) {
        this.imgPath = imgPath;
    }

    public String getImgName() {
        return imgName;
    }

    public void setImgName(String imgName) {
        this.imgName = imgName;
    }

    public String getImgAddress() {
        return imgAddress;
    }

    public void setImgAddress(String imgAddress) {
        this.imgAddress = imgAddress;
    }

    public String getImgSize() {
        return imgSize;
    }

    public void setImgSize(String imgSize) {
        this.imgSize = imgSize;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public Boolean getUploadStatus() {
        if (uploadStatus == null) {
            return false;
        }
        return uploadStatus;
    }

    public void setUploadStatus(Boolean uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getImgDir() {
        return imgDir;
    }

    public void setImgDir(String imgDir) {
        this.imgDir = imgDir;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

}
